/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/applycolors/applycolors.h"


namespace Avogadro::QtPlugins {

class ApplyColorsFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit ApplyColorsFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new ApplyColors(parent_);
    object->setObjectName("ApplyColors");
    return object;
  }

  QString identifier() const { return "ApplyColors"; }

  QString description() const { return "Extension to apply color schemes to atoms and residues."; }

};

}

#include "ApplyColorsPlugin.moc"
