/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/ballandstick/ballandstick.h"


namespace Avogadro::QtPlugins {

class BallStickFactory : public QObject, public QtGui::ScenePluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ScenePluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ScenePluginFactory)

public:
  explicit BallStickFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ScenePlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new BallAndStick(parent_);
    object->setObjectName("BallStick");
    return object;
  }

  QString identifier() const { return "BallStick"; }

  QString description() const { return "Ball and stick rendering scheme"; }

};

}

#include "BallStickPlugin.moc"
