/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/bonding/bonding.h"


namespace Avogadro::QtPlugins {

class BondingFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit BondingFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new Bonding(parent_);
    object->setObjectName("Bonding");
    return object;
  }

  QString identifier() const { return "Bonding"; }

  QString description() const { return "Perform bonding operations."; }

};

}

#include "BondingPlugin.moc"
