/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/closecontacts/closecontacts.h"


namespace Avogadro::QtPlugins {

class CloseContactsFactory : public QObject, public QtGui::ScenePluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ScenePluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ScenePluginFactory)

public:
  explicit CloseContactsFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ScenePlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new CloseContacts(parent_);
    object->setObjectName("CloseContacts");
    return object;
  }

  QString identifier() const { return "CloseContacts"; }

  QString description() const { return "Predictive close-contact rendering"; }

};

}

#include "CloseContactsPlugin.moc"
