/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/editor/editor.h"


namespace Avogadro::QtPlugins {

class EditorFactory : public QObject, public QtGui::ToolPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ToolPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ToolPluginFactory)

public:
  explicit EditorFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ToolPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new Editor(parent_);
    object->setObjectName("Editor");
    return object;
  }

  QString identifier() const { return "Editor"; }

  QString description() const { return "Editor tool"; }

};

}

#include "EditorPlugin.moc"
