/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/measuretool/measuretool.h"


namespace Avogadro::QtPlugins {

class MeasureToolFactory : public QObject, public QtGui::ToolPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ToolPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ToolPluginFactory)

public:
  explicit MeasureToolFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ToolPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new MeasureTool(parent_);
    object->setObjectName("MeasureTool");
    return object;
  }

  QString identifier() const { return "MeasureTool"; }

  QString description() const { return "Measure tool"; }

};

}

#include "MeasureToolPlugin.moc"
