/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/mongochem/mongochem.h"


namespace Avogadro::QtPlugins {

class MongoChemFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit MongoChemFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new MongoChem(parent_);
    object->setObjectName("MongoChem");
    return object;
  }

  QString identifier() const { return "MongoChem"; }

  QString description() const { return "HTTP interface with mongochemserver"; }

};

}

#include "MongoChemPlugin.moc"
