/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/plugindownloader/plugindownloader.h"


namespace Avogadro::QtPlugins {

class PluginDownloaderFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit PluginDownloaderFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new PluginDownloader(parent_);
    object->setObjectName("PluginDownloader");
    return object;
  }

  QString identifier() const { return "PluginDownloader"; }

  QString description() const { return "Download plugins from Github repositories"; }

};

}

#include "PluginDownloaderPlugin.moc"
