/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/spacegroup/spacegroup.h"


namespace Avogadro::QtPlugins {

class SpaceGroupFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit SpaceGroupFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new SpaceGroup(parent_);
    object->setObjectName("SpaceGroup");
    return object;
  }

  QString identifier() const { return "SpaceGroup"; }

  QString description() const { return "Space group features for crystals."; }

};

}

#include "SpaceGroupPlugin.moc"
