/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/vanderwaals/vanderwaals.h"


namespace Avogadro::QtPlugins {

class VanDerWaalsFactory : public QObject, public QtGui::ScenePluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ScenePluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ScenePluginFactory)

public:
  explicit VanDerWaalsFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ScenePlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new VanDerWaals(parent_);
    object->setObjectName("VanDerWaals");
    return object;
  }

  QString identifier() const { return "VanDerWaals"; }

  QString description() const { return "Van der Waals rendering scheme"; }

};

}

#include "VanDerWaalsPlugin.moc"
