/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.97.0/avogadro/qtplugins/vanderwaalsao/vanderwaalsao.h"


namespace Avogadro::QtPlugins {

class VanDerWaalsAOFactory : public QObject, public QtGui::ScenePluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ScenePluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ScenePluginFactory)

public:
  explicit VanDerWaalsAOFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ScenePlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new VanDerWaalsAO(parent_);
    object->setObjectName("VanDerWaalsAO");
    return object;
  }

  QString identifier() const { return "VanDerWaalsAO"; }

  QString description() const { return "Van der Waals rendering scheme with ambient occlusion"; }

};

}

#include "VanDerWaalsAOPlugin.moc"
